using Otter;

namespace PpbbffttMiningHa.ui
{
    public class Title : Entity
    {
        private Spritemap<string> _spriteMap;

        public Title(float x, float y)
        {
            X = x;
            Y = y;
            _spriteMap = new Spritemap<string>(Assets.TITLE, 480, 320);
            _spriteMap.Add("main", new int[] { 0 }, new float[] { 1f, 1f });
            Graphic = _spriteMap;
            _spriteMap.Play("main");
        }

        public override void Update()
        {
            base.Update();
            //add update things here if needed (like if you are going to be doing conditionals in your title
        }
    }
}